Commit 9534a1ad authored by bircher's avatar bircher

Issue #2857985: Add dependency on config_filter

parent 5f6c72cb
......@@ -19,7 +19,7 @@ Then this module is what you are looking for.
REQUIREMENTS
------------
You will need the `config` module, from D8 Core, to be enabled.
You will need the `config_filter` module to be enabled.
INSTALLATION
------------
......@@ -30,10 +30,8 @@ CONFIGURATION
-------------
Go to `admin/config/development/configuration/ignore` to set what configuration you want to ignore upon import.
For now, this module only supports changes/updates to existing configuration. Configuration marked for deletion or
creation will still be deleted or created.
This module do not support changes in the `core.extension` yet. It might work, it might not.
Do not ignore the `core.extension` configuration as it will prevent you from enabling new modules with a config import.
Use the `config_split` module for environment specific modules.
MAINTAINERS
-----------
......
......@@ -18,5 +18,7 @@
},
"license": "GPL-2.0+",
"minimum-stability": "dev",
"require": { }
"require": {
"drupal/config_filter": "*"
}
}
......@@ -5,4 +5,4 @@ core: 8.x
package: Configuration
configure: config_ignore.settings
dependencies:
- config
- config_filter
<?php
/**
* @file
* Install, update and uninstall functions for the config_ignore module.
*/
/**
* Enable the config_filter module.
*/
function config_ignore_update_8201() {
\Drupal::getContainer()->get('module_installer')->install(['config_filter']);
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment